/****************************
大会一覧
****************************/
.attributeBadge {
    position: relative;
    width: 45px;
    aspect-ratio: 1/1;
    border-radius: 50%;
    text-align: center;
}

.attributeBadge.bg-boat {
    background-color: var(--boat);
}

.attributeBadge.bg-okappari {
    background-color: var(--okappari)
}

.attributeBadge::before {
    width: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    font-family: var(--oswald);
}

.attributeBadge.boat::before {
    content: 'BOAT';
}

.attributeBadge.okappari::before {
    content: 'OKAPPARI';
}

/****************************
順位表示
****************************/
.winnerBox {
    background: linear-gradient(135deg, #fff8dc, #ffe680);
    border-radius: 12px;
    padding: 20px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
}

.winnerLabel {
    font-size: 14px;
    letter-spacing: 2px;
    color: #888;
}

.winnerName {
    font-size: 28px;
    font-weight: bold;
}

.winnerWeight {
    font-size: 3rem;
    font-family: var(--oswald);
    color: #d9534f;
}

.resultOuter {
    width: 100%;
    overflow-x: scroll;
}

table.tournamentResults {
    width: 200%;
    max-width: 990px;
}

table.tournamentResults th,
table.tournamentResults td {
    min-width: 52px;
}

table.tournamentResults th {
    text-align: center;
}

table.tournamentResults tbody td:first-of-type,
table.tournamentResults tbody td:nth-of-type(2) {
    width: 48px;
    text-align: right;
}

table.tournamentResults tbody th:nth-of-type(3),
table.tournamentResults tbody td:nth-of-type(3) {
    width: 180px;
    font-weight: bold;
}

table.tournamentResults tbody td:nth-of-type(4) {
    font-size: 20px;
    font-family: var(--oswald);
    font-weight: 700;
    text-align: center;
}

table.tournamentResults tbody td:nth-of-type(5) {
    text-align: center;
}

table.tournamentResults tbody td:nth-of-type(n+6) {
    text-align: right;
}

table.tournamentResults tbody td:nth-of-type(8) {
    width: 80px;
}